GIT-SHORTLOG(1)

NAME
git-shortlog - Summarize 'git log' output

SYNOPSIS

git-log --pretty=short | git-shortlog [-h] [-n] [-s] [-e]
git-shortlog [-n|--numbered] [-s|--summary] [-e|--email] [<committish>...]

DESCRIPTION
Summarizes git log output in a format suitable for inclusion in release announcements. Each commit will be grouped by author and the first line of the commit message will be shown. Additionally, "[PATCH]" will be stripped from the commit description.

OPTIONS

-h, --help
    Print a short usage message and exit.

-n, --numbered
    Sort output according to the number of commits per author instead of author alphabetic order.

-s, --summary
    Suppress commit description and provide a commit count summary only.

-e, --email
    Show the email address of each author.

FILES
If the file .mailmap exists, it will be used for mapping author email addresses to a real author name. One mapping per line, first the author name followed by the email address enclosed by < and >. Use hash # for comments. Example:

# Keep alphabetized
Adam Morrow <adam@localhost.localdomain>
Eve Jones <eve@laptop.(none)>

AUTHOR
Written by Jeff Garzik <jgarzik@pobox.com>

DOCUMENTATION
Documentation by Junio C Hamano.

GIT
Part of the git(7) suite